漏洞信息详情

Jerome Gamez Firebase Admin SDK for PHP 安全漏洞

  • CNNVD编号:CNNVD-201802-312
  • 危害等级: 高危
  • CVE编号: CVE-2018-1000025
  • 漏洞类型: 资料不足
  • 发布时间: 2018-02-11
  • 威胁类型: 远程
  • 更新时间: 2019-10-23
  • 厂        商:
  • 漏洞来源:

漏洞简介

Jerome Gamez Firebase Admin SDK for PHP是一套基于PHP的软件开发工具包。

Jerome Gamez Firebase Admin SDK for PHP 3.2.0版本至3.8.0版本中的src/Firebase/Auth/IdTokenVerifier.php文件存在访问控制错误漏洞,该漏洞源于程序没有验证令牌签名。攻击者可利用该漏洞伪造带有任意邮件地址和用户ID的JSON Web Token(JWT)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/kreait/firebase-php/releases/tag/3.8.1

参考网址

来源:CONFIRM

链接:https://github.com/kreait/firebase-php/pull/151

来源:CONFIRM

链接:https://github.com/kreait/firebase-php/releases/tag/3.8.1

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多